> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/private-spaces.md).

# Private Spaces

The following endpoints allow you to manage private spaces in your organization.

## List private spaces

> Gets the list of private spaces in the organization with specified \`organizationId\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Private spaces","description":"The following endpoints allow you to manage private spaces in your organization."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["private-spaces:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/private-spaces":{"get":{"tags":["Private spaces"],"summary":"List private spaces","description":"Gets the list of private spaces in the organization with specified `organizationId`.","parameters":[{"name":"organizationId","in":"query","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"externalId","in":"query","schema":{"type":"string"},"required":false,"description":"Filter private spaces by external ID."},{"name":"cols[]","in":"query","schema":{"type":"array","items":{"type":"string","enum":["id","name","organizationId","globalAgentsEnabled","type","privateSpaceOwnerName","privateSpaceOwnerEmail","privateSpaceOwnerId","operationsLimit","transferLimit","consumedOperations","consumedTransfer","isPaused","consumedCenticredits"]}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/api-documentation/pagination-sorting-filtering/filtering)\n"},{"name":"pg[sortBy]","in":"query","schema":{"type":"string"},"description":"The value that will be used to sort returned entities by."},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The value of entities you want to skip before getting entities you need."},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"Sets the maximum number of results per page in the API call response. For example, `pg[limit]=100`. The default number varies with different API endpoints."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"privateSpaces":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"The ID of the private space."},"name":{"type":"string","description":"The name of the private space."},"organizationId":{"type":"integer","description":"The ID of the organization the private space belongs to."},"globalAgentsEnabled":{"type":"boolean","description":"Whether global agents are enabled for this private space."},"type":{"type":"string","enum":["personal"],"description":"The type of the space. Always `personal`."},"privateSpaceOwnerName":{"type":"string","description":"The name of the private space owner."},"privateSpaceOwnerEmail":{"type":"string","format":"email","description":"The email address of the private space owner."},"privateSpaceOwnerId":{"type":"integer","description":"The ID of the private space owner."},"operationsLimit":{"type":"integer","nullable":true,"description":"The maximum number of operations allowed. `null` if no limit is set."},"transferLimit":{"type":"string","nullable":true,"description":"The maximum data transfer allowed in bytes. `null` if no limit is set."},"consumedOperations":{"type":"integer","nullable":true,"description":"The number of operations consumed in the current period."},"consumedTransfer":{"type":"string","nullable":true,"description":"The amount of data transfer consumed in bytes in the current period."},"isPaused":{"type":"boolean","nullable":true,"description":"Whether the private space is paused due to exceeding limits."},"consumedCenticredits":{"type":"integer","nullable":true,"description":"The number of centicredits consumed in the current period."}}}},"pg":{"type":"object","properties":{"last":{"type":"string"},"showLast":{"type":"boolean"},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}}}}}}}
```

## Get a private space

> Returns the details of a single private space. Requires the \`personal team own view\` organization permission. Non-members receive a 404.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Private spaces","description":"The following endpoints allow you to manage private spaces in your organization."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["private-spaces:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/private-spaces/{privateSpaceId}":{"get":{"tags":["Private spaces"],"summary":"Get a private space","description":"Returns the details of a single private space. Requires the `personal team own view` organization permission. Non-members receive a 404.","parameters":[{"name":"privateSpaceId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the private space."},{"name":"cols[]","in":"query","schema":{"type":"array","items":{"type":"string","enum":["id","name","organizationId","globalAgentsEnabled","type","privateSpaceOwnerName","privateSpaceOwnerEmail","privateSpaceOwnerId","operationsLimit","transferLimit","consumedOperations","consumedTransfer","isPaused","consumedCenticredits","operations","transfer","centicredits"]}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/api-documentation/pagination-sorting-filtering/filtering)\n"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"privateSpace":{"type":"object","properties":{"id":{"type":"integer","description":"The ID of the private space."},"name":{"type":"string","description":"The name of the private space."},"organizationId":{"type":"integer","description":"The ID of the organization the private space belongs to."},"globalAgentsEnabled":{"type":"boolean","description":"Whether global agents are enabled for this private space."},"type":{"type":"string","enum":["personal"],"description":"The type of the space. Always `personal`."},"privateSpaceOwnerName":{"type":"string","description":"The name of the private space owner."},"privateSpaceOwnerEmail":{"type":"string","format":"email","description":"The email address of the private space owner."},"privateSpaceOwnerId":{"type":"integer","description":"The ID of the private space owner."},"operationsLimit":{"type":"integer","nullable":true,"description":"The maximum number of operations allowed. `null` if no limit is set."},"transferLimit":{"type":"string","nullable":true,"description":"The maximum data transfer allowed in bytes. `null` if no limit is set."},"consumedOperations":{"type":"integer","nullable":true,"description":"The number of operations consumed in the current period."},"consumedTransfer":{"type":"string","nullable":true,"description":"The amount of data transfer consumed in bytes in the current period."},"isPaused":{"type":"boolean","nullable":true,"description":"Whether the private space is paused due to exceeding limits."},"consumedCenticredits":{"type":"integer","nullable":true,"description":"The number of centicredits consumed in the current period."},"operations":{"type":"string","description":"Total operations consumed since last reset (from Elasticsearch)."},"transfer":{"type":"string","description":"Total data transfer consumed since last reset in bytes (from Elasticsearch)."},"centicredits":{"type":"string","description":"Total centicredits consumed since last reset (from Elasticsearch)."}}}}}}}}}}}}}
```

## Update a private space

> Updates a private space. Currently supports changing the operations limit (credit limit). Requires the \`personal team manage\` organization permission.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Private spaces","description":"The following endpoints allow you to manage private spaces in your organization."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["private-spaces:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/private-spaces/{privateSpaceId}":{"patch":{"tags":["Private spaces"],"summary":"Update a private space","description":"Updates a private space. Currently supports changing the operations limit (credit limit). Requires the `personal team manage` organization permission.","parameters":[{"name":"privateSpaceId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the private space."},{"name":"confirmed","in":"query","schema":{"type":"boolean"},"required":false,"description":"When `true`, confirms the operation even if the new limit is below the current consumption. This will pause the private space."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"operationsLimit":{"type":"integer","nullable":true,"minimum":0,"maximum":2000000000,"description":"Optional. The new operations limit for the private space. Transfer limit is auto-calculated. Set to `null` to remove limits, omit to leave unchanged. The maximum matches the highest number of credits an organization can be licensed for."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"privateSpace":{"type":"object","properties":{"id":{"type":"integer","description":"The ID of the private space."},"name":{"type":"string","description":"The name of the private space."},"organizationId":{"type":"integer","description":"The ID of the organization the private space belongs to."},"deleted":{"type":"boolean","description":"Whether the private space is deleted."},"externalId":{"type":"string","nullable":true,"description":"The external ID of the private space."},"globalAgentsEnabled":{"type":"boolean","description":"Whether global agents are enabled for this private space."},"type":{"type":"string","enum":["personal"]},"privateSpaceOwnerName":{"type":"string","description":"The name of the private space owner."},"privateSpaceOwnerEmail":{"type":"string","description":"The email of the private space owner."},"privateSpaceOwnerId":{"type":"integer","description":"The ID of the private space owner."},"operationsLimit":{"type":"integer","nullable":true,"description":"The maximum number of operations allowed."},"transferLimit":{"type":"string","nullable":true,"description":"The maximum data transfer allowed in bytes."},"consumedOperations":{"type":"integer","description":"The number of operations consumed in the current period."},"consumedTransfer":{"type":"string","description":"The amount of data transfer consumed in bytes."},"isPaused":{"type":"boolean","description":"Whether the private space is paused."},"consumedCenticredits":{"type":"integer","description":"The number of centicredits consumed in the current period."}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/private-spaces.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
